Page MenuHomeFreeBSD

Add deprecation notice to vpo.4 / Remove vpo.4
ClosedPublic

Authored by imp on Jan 28 2020, 12:56 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jan 15, 6:07 AM
Unknown Object (File)
Dec 15 2022, 5:11 PM
Unknown Object (File)
Dec 10 2022, 7:22 PM

Details

Reviewers
rgrimes
Group Reviewers
manpages
Commits
rS357394: Remove vpo.4
Summary

This driver has seen no real changes for almost 20 years. It's for
hardware that's 25 years old. It has no reports of active use, nor
has it been seen in the NYCBug dmesg database at all. Schedule
its removal for 13.0.

Relnote: Yes
MFC After: 3 days

Remove vpo.4

The Parallel Port SCSI adapter was interesting for 100MB ZIP drives, but is no
longer used or maintained. Remove it from the tree.

The Parallel Port microsequencer (microseq.9) is now mostly unused in the tree,
but remains. PPI still refrences it, but doesn't use its full functionality.

Relnotes: Yes
Discussed on: arch@

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

I am just a humble FreeBSD user, but I think this absolutely must be done.
Reducing code footprint, attack surface and cognitive overhead for those who maintain the code.
+1

Please create a review to first add deprecation notices to the man pages and a gone_in to the driver, with a RELNOTES: y, and a MFC 11+12. Then this can be committed with a MFC: never right behind it.

This revision is now accepted and ready to land.Jan 28 2020, 7:27 AM

Please create a review to first add deprecation notices to the man pages and a gone_in to the driver, with a RELNOTES: y, and a MFC 11+12. Then this can be committed with a MFC: never right behind it.

No. That's in this review. It is a separate commit already.

Ooops. I see that phab isn't smart enough to allow multiple changes to be posted in one review when a later change removes the file :(
https://reviews.freebsd.org/D23403
has the review for the deprecation notice that I already have in my tree.

I have a memory of Rod suggesting that I also add gone_in() which I've done before the commit. Can't find where he made that suggestion though, but it was a good idea.

This revision was automatically updated to reflect the committed changes.
imp added a commit: rS357394: Remove vpo.4.